Npms_big

chai

3.5.0

BDD/TDD assertion library for node.js and the browser. Test framework agnostic.

(test, assertion, assert, testing, chai)

Critical or Security advisories for 3.5.0

This version doesn't have any advisory. Want to report one?

Changelog for 3.5.0

For assert fans: you now have assert.includeDeepMembers() which matches expect().to.include.deep.members() and .should.include.deep.members()!

This release also includes a variety of small bugfixes and documentation fixes. Most notably, we are now governed by a Code Of Conduct - which gives Chai contributors (including those who files issues, work on code, or documentation, or even just hang out on our Slack & Gitter channels) safety from harassment and discrimination.

Full changes below:

Community Contributions

Documentation fixes

Dependencies for 3.5.0

Name Requirement Status
^1.0.1

^10.2.1

^1.1.3

^0.1.3

^0.3.14

^0.13.16

^0.1.6

^0.1.10

^0.2.0

^0.2.11

Display all

My projects using chai

Name Locked version Requirement
You should be logged in to see which of your projects use chai.